﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="RgbaComponent.cs" company="James Jackson-South">
//   Copyright (c) James Jackson-South.
//   Licensed under the Apache License, Version 2.0.
// </copyright>
// <summary>
//   Enumerates the RGBA (red, green, blue, alpha) color components.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ImageProcessor.Imaging.Colors
{
    /// <summary>
    /// Enumerates the RGBA (red, green, blue, alpha) color components.
    /// </summary>
    public enum RgbaComponent
    {
        /// <summary>
        /// The blue component.
        /// </summary>
        B = 0,

        /// <summary>
        /// The green component.
        /// </summary>
        G = 1,

        /// <summary>
        /// The red component.
        /// </summary>
        R = 2,

        /// <summary>
        /// The alpha component.
        /// </summary>
        A = 3
    }
}
